%define section         free

# To make the tarball:
#  export CVSROOT=:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/ishmael
#  cvs login
#  cvs export -r ISHMAEL_0_1_9 ishmael

Name:			ishmael
Summary:		Open source implementation of JSR-88
Version: 		0.1.9
Release:		1jpp_1rh
Epoch:			0
URL: 			http://forge.objectweb.org/projects/ishmael/
License: 		LGPL
Group: 			Development/Libraries/Java
Source: 		%{name}-%{version}-src.tar.gz
Source1:		ow_jonas.jar
Source2:		ow_jonas_xml.jar
Patch0:			%{name}-%{version}-build.patch
Patch1:			%{name}-%{version}-noeclipse.patch
BuildRequires:	jpackage-utils
BuildRequires:	ant
BuildRequires:	ejb
BuildRequires:	j2ee-deployment
BuildRequires:	j2ee-management

# FIXME: Enable this when this package is ready.
#BuildRequires:	jonas-jar (ow_jonas.jar and ow_jonas_xml.jar)

BuildRequires:	jakarta-commons-digester
BuildRequires:	jta
BuildRequires:	mx4j
BuildRequires:	xerces-j2

Requires:		ejb
Requires:		j2ee-deployment
Requires:		j2ee-management

# FIXME: Enable this when this package is ready. 
#Requires:		jonas-jar (ow_jonas.jar and ow_jonas_xml.jar)

Requires:		jakarta-commons-digester
Requires:		jta
Requires:		mx4j
Requires:		xerces-j2

BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:		noarch

%description
Ishmael is an open source implementation of JSR-88 which is the 
Deployment API for J2EE.

%prep
%setup -q -n %{name}
%patch0
%patch1

# clean-binary-files
find . -name '*.?ar' | grep -v lib/zeus/zeus.jar | xargs rm

build-jar-repository -s -p lib/j2ee \
        ejb \
        j2ee-deployment \
        j2ee-management \
        jta \
	mx4j/mx4j

build-jar-repository -s -p lib/tools \
	commons-digester \
        xerces-j2

# FIXME: Do not build the dconfigbean as it needs Eclipse internal
# classes and also something from Delphin, which we don't have a package for
# (is this a circular dependency by the way?).
# In any case, this is only useful for Delphin which we don't build yet.
rm -fr src/org/objectweb/ishmael/deploy/spi/dconfigbean
rm -f src/org/objectweb/ishmael/deploy/spi/*DeploymentConfiguration.java

mkdir -p lib/jonas
cp %{SOURCE1} lib/jonas/
cp %{SOURCE2} lib/jonas/

%build
unset CLASSPATH
ant

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
install -m 644 output/dist/ishmael.jar \
    $RPM_BUILD_ROOT%{_javadir}/ishmael-%{version}.jar
ln -s ishmael-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/ishmael.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/*

%changelog
* Wed Nov 30 2005 Fernando Nasser <fnasser@redhat.com> 0:0.1.9-1jpp_1rh
- Upgrade to 0.1.9
- Remove everything related to Delphin and that requires Eclipse internal classes

* Fri Jul 29 2005 Deepak Bhole <dbhole@redhat.com> 0:0.1.6b-1jpp_1rh
- First Red Hat build.

* Fri Jul 29 2005 Deepak Bhole <dbhole@redhat.com> 0:0.1.6b-1jpp
- Initial build.
